C++ Utilities: CppUtilities::FakeQtConfigArguments Class Reference

C++ Utilities 5.32.1 Useful C++ classes and routines such as argument parser, IO and conversion utilities

Loading...
Searching...
No Matches
Public Member Functions | List of all members
CppUtilities::FakeQtConfigArguments Class Reference

The FakeQtConfigArguments class provides arguments for the Qt GUI used when the application hasn't been built with Qt GUI support. More...

`#include <fakeqtconfigarguments.h>`

## Public Member Functions
| FakeQtConfigArguments ()
| Constructs new fake Qt-config arguments.
Argument & | qtWidgetsGuiArg ()
| Returns the argument to show the Qt-widgets-based GUI.
Argument & | qtQuickGuiArg ()
| Returns the argument to show the Qt-quick-based GUI.
bool | areQtGuiArgsPresent () const
| Returns whether at least one of the arguments is present.

## Detailed Description

The FakeQtConfigArguments class provides arguments for the Qt GUI used when the application hasn't been built with Qt GUI support.

Deprecated
  Get rid of this and simply don't add arguments for Qt GUI when disabled.

Definition at line 8 of file fakeqtconfigarguments.h.

## Constructor & Destructor Documentation

## ◆ FakeQtConfigArguments()

CppUtilities::FakeQtConfigArguments::FakeQtConfigArguments | ( |  | ) |

Constructs new fake Qt-config arguments.

Definition at line 15 of file fakeqtconfigarguments.cpp.

## Member Function Documentation

## ◆ areQtGuiArgsPresent()

bool CppUtilities::FakeQtConfigArguments::areQtGuiArgsPresent | ( |  | ) | const
| inline

Returns whether at least one of the arguments is present.

Definition at line 41 of file fakeqtconfigarguments.h.

## ◆ qtQuickGuiArg()

Argument & CppUtilities::FakeQtConfigArguments::qtQuickGuiArg | ( |  | ) |
| inline

Returns the argument to show the Qt-quick-based GUI.

Definition at line 33 of file fakeqtconfigarguments.h.

## ◆ qtWidgetsGuiArg()

Argument & CppUtilities::FakeQtConfigArguments::qtWidgetsGuiArg | ( |  | ) |
| inline

Returns the argument to show the Qt-widgets-based GUI.

Definition at line 25 of file fakeqtconfigarguments.h.

The documentation for this class was generated from the following files:

- application/fakeqtconfigarguments.h
- application/fakeqtconfigarguments.cpp